import {departInterence} from '@/api/api.js';
// 权限配置按钮
const permissionButtons = {
    state:()=>({
        permissionButtons:[]
    }),
    mutations:{
     SET_PERMISSION_BUTTONS:(state,buttons)=>{
        state.permissionButtons = buttons
     }
    },
    actions:{
        getPermissionButtons({commit}){
            return new Promise((resolve,reject)=>{
                departInterence.getRoleBtnAuth().then(res=>{
                    const buttons = res.Data || []
                    commit('SET_PERMISSION_BUTTONS',buttons)
                    resolve('获取权限按钮成功')
                })
/*                 const buttons = [
                    {ButtonCode: "system:menu:add"},
                ]
                commit('SET_PERMISSION_BUTTONS',buttons)
                resolve('获取权限按钮成功') */
            })
        }
    },
    getters:{}
  }
  export default permissionButtons;